<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Module Hierarchy</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Halberd-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">&nbsp;</td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="module-tree.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<center><b>
 [ <a href="module-tree.html">Module Hierarchy</a>
 | <a href="class-tree.html">Class Hierarchy</a> ]
</b></center><br />
<h1 class="epydoc">Module Hierarchy</h1>
<ul class="nomargin-top">
    <li> <strong class="uidlink"><a href="Halberd-module.html">Halberd</a></strong>: <em class="summary">HTTP load balancer detector module.</em>
    <ul>
    <li> <strong class="uidlink"><a href="Halberd.ScanTask-module.html">Halberd.ScanTask</a></strong>: <em class="summary">Scanning tasks.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.clientlib-module.html">Halberd.clientlib</a></strong>: <em class="summary">HTTP/HTTPS client module.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.clues-module.html">Halberd.clues</a></strong>: <em class="summary">Clue management package</em>
    <ul>
    <li> <strong class="uidlink"><a href="Halberd.clues.Clue-module.html">Halberd.clues.Clue</a></strong>: <em class="summary">Clue generation module.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.clues.analysis-module.html">Halberd.clues.analysis</a></strong>: <em class="summary">Utilities for clue analysis.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.clues.file-module.html">Halberd.clues.file</a></strong>: <em class="summary">Utilities for clue storage.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="Halberd.conflib-module.html">Halberd.conflib</a></strong>: <em class="summary">Configuration file management module.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.crew-module.html">Halberd.crew</a></strong>: <em class="summary">A work crew is instantiated passing a ScanTask object as a 
        parameter, thus defining the target and the way the scanning should
        be done.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.logger-module.html">Halberd.logger</a></strong>: <em class="summary">Logger singleton.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.reportlib-module.html">Halberd.reportlib</a></strong>: <em class="summary">Output module.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.shell-module.html">Halberd.shell</a></strong>: <em class="summary">Provides scanning patterns to be used as building blocks for more 
        complex scans.</em>    </li>
    <li> <strong class="uidlink"><a href="Halberd.util-module.html">Halberd.util</a></strong>: <em class="summary">Miscellaneous functions.</em>    </li>
    </ul>
    </li>
</ul>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Halberd-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sat Aug 14 15:09:27 2010
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
